it-swarm.com.de

System montiert Swap-Partition nicht

Auch wenn die Swap-Partition vorhanden ist und in fstab geladen werden soll, wird sie immer noch nicht eingehängt.

fdisk gibt dies für die Swap-Partition zurück:

file system: /dev/sda5
      start: 1
        end: 244
     blocks: 1951744
         id: 82
     system: Linux swap / Solaris

und in meinem fstab heißt es

file system: /dev/sda5
mount point: none
       type: swap
    options: sw
       dump: 0
       pass: 0

und ich kann es gut mit swapon /dev/sda5 laden, aber es wird beim Booten einfach nicht geladen.

Gibt es weitere Informationen, die ich zur Fehlerbehebung geben kann? Ich weiß nicht, welche anderen Informationen nützlich sein könnten


Wie gewünscht, vollständige fstab Datei:

# <file system> <mount point>   <type>  <options>            <dump>  <pass>
proc            /proc           proc    nodev,noexec,nosuid  0       0
/dev/sda6       /               ext4    errors=remount-ro    0       1
/dev/sda5       none            swap    sw                   0       0
/dev/sr1        none            udf     rw,noauto            0       0

Ich habe das Systemprotokoll durchgesehen und festgestellt, was es bedeutet oder ob es normal ist, aber:

Apr 29 17:57:24 caelan-ubuntu os-prober: debug: running /usr/lib/os-probes/50mounted-tests on /dev/sda5
Apr 29 17:57:24 caelan-ubuntu 50mounted-tests: debug: /dev/sda5 is a swap partition; skipping

ausgabe von mountall

mountall: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
mountall: Connection is closed

ausgabe von mountall -v

http://pastie.org/private/ras9mc7mf66yudnjoem4w

swap finished
...
local 4/4 remote 0/0 virtual 12/12 swap 0/0

ich bin mir nicht sicher, ob Swap immer noch nicht geladen wird. Kann immer noch in der Kommandozeile hinzugefügt werden, und meine Windows-Partition wird beim Booten eingehängt, und das steht auch in der fstab.

12
caesay

Das hört sich blöd an, aber versuchen Sie es: ordnen Sie /etc/fstab neu an, um die Swap-Partition an die letzte Stelle zu setzen.

Es scheint, dass mountall -v harmlos fehlschlägt, wenn es als Nicht-Root-Benutzer ausgeführt wird, und seine Ausgabe kann verwendet werden, um zu diagnostizieren, warum mountall beim Booten nicht richtig funktioniert. Ihre letzte Ausgabezeile von mountall -v enthält den entscheidenden Hinweis:

local 4/4 remote 0/0 virtual 12/12 swap 0/0

Mit anderen Worten, in/etc/fstab wurden 0 Swap-Laufwerke eingehängt und 0 Swap-Laufwerke gefunden.

Warum hat mountall Ihr Swap-Laufwerk nicht in/etc/fstab gefunden? Gute Frage. Dies sollte wahrscheinlich ein Bug gegen mountall sein. Zur Diagnose habe ich Ihre/etc/fstab kopiert und mountall -v als Nicht-Root-Benutzer ausgeführt. Indem ich/etc/fstab nach dem Zufallsprinzip bearbeitete und mit dem Testen von mountall -v fortfuhr, fand ich heraus, wie ich den von mountall gemeldeten "Swap 0/0" änderte. Das bloße Umordnen der Zeilen von/etc/fstab genügte, um es in "Swap 0/1" zu ändern, mit anderen Worten, 1 Swap-Laufwerk wurde in/etc/fstab gefunden. Damit kann es ausreichen, um ordnungsgemäß zu starten. Wenn nicht, bitte neues Ergebnis von mountall -v posten.

8
krubo

Danke, für ihre Frage. Als ich es mir ansah, stellte ich fest, dass mein System das gleiche Problem hatte wie Ihr System, nachdem ich gestern auf Natty aktualisiert hatte. Ich glaube, das Problem ist, dass sich die UUID der Swap-Partition während des Upgrades geändert hat. Hier ist, wie ich es behoben habe.

  1. Führen Sie Sudo blkid aus. Dadurch werden die aktuellen UUIDs aller Partitionen auf der Festplatte angezeigt. Ich vermute, Sie werden feststellen, dass sich die UUID Ihrer Swap-Partition jetzt vom Wert in/etc/fstab unterscheidet.

  2. Wenn es anders ist, führen Sie einen Texteditor unter Sudo aus, um/etc/fstab zu bearbeiten. Ersetzen Sie den Wert der UUID durch den aktuellen Istwert, wie im obigen Befehl blkid angegeben. Fügen Sie die Anführungszeichen nicht ein.

  3. Speichern Sie die Datei und starten Sie Ihr System neu. Führen Sie free -m aus, um sicherzustellen, dass die Änderung das Problem behoben hat:

    $ free -m
                 total       used       free     shared    buffers     cached
    Mem:          1001        604        396          0        123        199
    -/+ buffers/cache:        281        719
    Swap:         1953          0       1953
    
8
Tim

Nach dem Upgrade auf 12.04 sind gewisse kleine Anomalien aufgetreten, kein Problem. Ich wusste nicht, dass meine Swap-Partition nicht funktioniert, bis ich versuchte, ein 14-Megapixel-JPG von meiner Olympus e330 zu gimpen. Huch.

Foren zur Rettung. Hinweise:

blkid wird angezeigt

/dev/sdb6: UUID="3e0550cf-4a55-4aa8-80fa-24103c1b25a7" TYPE="swap" 

laut System Monitor ist es jedoch nicht aktiv, mmm'kay.

Die UUID war definitiv richtig, aber keine Ahnung, wie ich zu diesem Befehl gekommen bin:

# blkid -p /dev/mapper/foo-swap_1
error: /dev/mapper/foo-swap_1: No such file or directory

Der Dateimanager zeigte mir ein 0-Byte-Symbol, die Dateinamensteuerung - also, was sollte dort geschrieben werden? Womit?

$ Sudo swapon --all --verbose yielded
swapon: cannot find the device for UUID=3e0550cf-4a55-4aa80fa-24103c1b25a7

Ich habe die Datei/etc/fstab bearbeitet und hinzugefügt

/dev/sdb6   none    swap    sw  0   0

Neustart und Systemmonitor zeigt es aktiv, yay.

OK, ich muss hier gewesen sein und den Befehl gefunden haben

blkid -p /dev/mapper/foo-swap_1

Es ist also ein Hinweis für jemanden, der schlauer ist als ich. Ich hoffe es hilft.

1
Novista

Mein /etc/fstab (Debian) hat folgenden Inhalt:

UUID=7b533ab9-cb87-4a30-a4d8-689788f21985 none  swap sw 0 0

Ihre sollte diese Zeile basierend auf dem haben, was Sie uns über Ihre Konfiguration gesagt haben:

/dev/sda5 none swap sw 0 0

Ich frage mich, warum Sie sich als Linux-Anfänger darüber wundern. RAM ist heutzutage billig. Ich habe 4 GB und entwickle Java (IntelliJ verwendet zum Beispiel eine Tonne RAM), aber es geht mir nie aus.

Und ich muss sagen, ich bin überrascht, dass Sie solche Probleme haben. Haben Sie den Ubuntu-Installer nicht mit den Standardoptionen ausgeführt?

Oder haben Sie all diese Probleme durch Dual-Boot (Win/Lin)?

1
tiktak

Ich hatte unter Ubuntu 12.04 (Precise) ein ähnliches Problem, aber mein /etc/fstab war bereits korrekt. Es stellte sich heraus, dass das Format meiner Swap-Partition fehlerhaft war, sodass blkid und mountall die Swap-Partition nicht erkennen konnten.

Einzelheiten:

  • Meine Swap-Partition war /dev/mapper/foo-swap_1 - ein logisches LVM-Volume auf einer verschlüsselten (LUKS-) Partition.
  • Die Swap-Partition wäre beim Booten niemals aktiv.
  • Das manuelle Ausführen von swapon -a hat funktioniert.
  • lsblk hat die Swap-Partition angezeigt
  • blkid hat die Swap-Partition NICHT angezeigt
  • blkid -p /dev/mapper/foo-swap_1 hat die folgende Nachricht gedruckt:

    /dev/mapper/foo-swap_1: ambivalent result (probably more filesystems on the device, use wipefs(8) to see more details)
    
  • wipefs -n /dev/mapper/foo-swap_1 zeigte ZWEI verschiedene Dateisystemsignaturen!

Das Problem wurde für mich behoben, indem beide Signaturen (wipefs -a) und der Swap (mkswap) neu formatiert wurden.

Hier ist ein Skript, das die Korrektur automatisiert:

#!/bin/sh

# helper functions
log() { printf %s\\n "$*"; }
error() { log "ERROR: $*" >&2; }
fatal() { error "$*"; exit 1; }
try() { "[email protected]" || fatal "'$*' failed"; }

# path to the swap partition
SWAP=/dev/mapper/foo-swap_1

# remember the UUID of the swap partition
UUID=$(try sed -e 's/RESUME=UUID=//' /etc/initramfs-tools/conf.d/resume) || exit 1
[ -n "${UUID}" ] || fatal "couldn't read UUID"

# delete filesystem/raid signatures from the swap partition
try wipefs -a "${SWAP}"

# format the swap partition
try mkswap -f -U "${UUID}" "${SWAP}"
1
Richard Hansen

Ich habe keine schnelle Antwort, aber ich stöberte herum und fand einige Dinge, die Sie überprüfen könnten, um das Problem einzugrenzen:

  • / etc/fstab (5) sollte Swap-Partition auflisten (deine sieht gut aus)
  • /etc/init/mountall.conf sollte die Zeile emits all-swaps enthalten
  • wenn Sie mountall als Benutzer ohne Rootberechtigung ausführen, sollte die Antwort swapon: /dev/sda5: open failed: Permission denied enthalten.
  • dmesg | less sollte so etwas wie das enthalten, was ich habe:

[2.272092] sda: sda1 sda2 sda3

[2.272924] sd 1: 0: 0: 0: [sda] Angeschlossene SCSI-Festplatte

... (mehr Zeilen zur Montage von sda1, sda2) ...

[20.298550] Hinzufügen von 10239996k Swap on/dev/sda3. Priorität: -1 erstreckt sich über 1: 10239996k

  • free sollte etwas wie Swap: 10239996 0 10239996 melden
1
krubo

Nach UUID:

# Turn off swap swapoff "${SWAP}"

Am Ende:

swapon "${SWAP}"

0
apos